Subject: I-D Action: draft-struik-lamps-verification-friendly-ecdsa-02.txt

From: [email-masked]
Date: Mon, 25 Oct 2021 15:53:32 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : ECDSA Signatures in Verification-Friendly Format
        Author          : Rene Struik
	Filename        : draft-struik-lamps-verification-friendly-ecdsa-02.txt
	Pages           : 12
	Date            : 2021-10-25

Abstract:
   This document specifies how to represent ECDSA signatures so as to
   facilitate accelerated verification of single signatures and fast
   batch verification.  We demonstrate that this representation
   technique can be applied retroactively by any device (rather than
   only by the signer), thereby facilitating transitioning to always
   generating ECDSA signatures in this way, without changing
   standardized ECDSA specifications with instantiations with prime-
   order curves.  This facilitates verifying devices to reap the
   significant speed-up potential (ranging from ~1.3x to ~6x) fast
   verification techniques afford.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-struik-lamps-verification-friendly-ecdsa/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-struik-lamps-verification-friendly-ecdsa-02

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-struik-lamps-verification-friendly-ecdsa-02

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/